# Generated by Django 2.0.13 on 2019-08-28 15:06
import json

from django.db import migrations

from hypha.apply.activity.models import ACTION, TEAM, ALL


def forward_visibility_options(apps, schema_editor):
    Activity = apps.get_model("activity", "Activity")
    for activity in Activity.objects.filter(type=ACTION):
        try:
            message = json.loads(activity.message)
        except json.JSONDecodeError:
            continue

        if "internal" in message and "public" in message:
            new_message = {
                TEAM: message["internal"],
                ALL: message["public"],
            }
            activity.message = json.dumps(new_message)
            activity.save()


def backward_visibility_options(apps, schema_editor):
    Activity = apps.get_model("activity", "Activity")
    for activity in Activity.objects.filter(type=ACTION):
        try:
            message = json.loads(activity.message)
        except json.JSONDecodeError:
            continue

        new_message = {
            "internal": message[TEAM],
            "public": message[ALL],
        }
        activity.message = json.dumps(new_message)
        activity.save()


class Migration(migrations.Migration):
    dependencies = [
        ("activity", "0027_update_visibility_options_2"),
    ]

    operations = [
        migrations.RunPython(forward_visibility_options, backward_visibility_options)
    ]
