# Generated by Django 3.2.22 on 2023-10-31 17:26

from django.db import migrations, models
from django.contrib.auth.models import Group
import django.db.models.deletion

from hypha.apply.users.groups import GROUPS
from hypha.apply.users.models import GroupDesc


def add_desc_groups(apps, schema_editor):
    for group_data in GROUPS:
        group, created = Group.objects.get_or_create(name=group_data["name"])
        if group_data.get("help_text") is not None:
            GroupDesc.objects.create(group=group, help_text=group_data["help_text"])


class Migration(migrations.Migration):
    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        ("users", "0020_auto_20230625_1825"),
    ]

    operations = [
        migrations.CreateModel(
            name="GroupDesc",
            fields=[
                (
                    "group",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        serialize=False,
                        to="auth.group",
                    ),
                ),
                (
                    "help_text",
                    models.CharField(max_length=255, verbose_name="Help Text"),
                ),
            ],
        ),
        migrations.RunPython(add_desc_groups),
    ]
